DCMTK - Feature #652

MoveSCU should return a non-zero return code at application exit when a C-MOVE transaction was
not successful
Status: Closed Start date: 2015-07-27
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 0%
Category: Application Estimated time: 0:00 hour
Target version: 3.6.1+

Module: dcmnet Compiler:

Operating System:

Description

Currently MoveSCU only returns a non-zero return code at the application exit when an error within the application has occured (e.g.
out of memory, wrong command line argument or something similar). A C-MOVE transaction with a non-zero status code (i.e. where
the retrieve operation was not, or not fully successful) does not lead to a non-zero return code. That makes it more complicated to
use MoveSCU in scripts, because the script needs to run the tool in verbose mode and parse the output to detect the DIMSE code. It
would be desirable to end movescu with a non-zero return code whenever the C-MOVE transaction has a non-zero status code.

Related issues:
Related to DCMTK - Feature #219: Rickgabewerte von Kommandozeilenprogrammen v... New

History

#1 - 2016-11-16 15:16 - Marco Eichelberg

- Assignee set to Marco Eichelberg

#2 - 2016-11-24 09:44 - Marco Eichelberg

- Status changed from New to Closed

Fixed by commit ¢720209.
